#!/usr/bin/python3
# -*- coding: utf-8 -*-
import sys
import os
import json
#===============================================================================
def getMinMax(clase):

	for item in os.listdir("."):
		if os.path.isdir(item):
			print(item)
			with open(os.getcwd()+"/"+item+"/scl_data.json") as json_file:
				data = json.load(json_file)
				values = []
				for k, v in data.items():
					values.append(v[clase])
				minval = min(values)
				maxval = max(values)
				print(minval, maxval)
#===============================================================================
def main(argv):

	if len(sys.argv) != 2:
		print ("Usage text")
	else:
		getMinMax(argv[1])


if __name__ == "__main__":
	main(sys.argv)
